# Generated from ulmul-0.5.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ulmul

Name: rubygem-%{gem_name}
Version: 0.5.3
Release: 1%{?dist}
Summary: ULMUL is an Ultra Lightweight Mark-Up Language
License: GPLv3
URL: http://ulmul.rubyforge.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
"ULMUL" is an original Ultra Lightweight MarkUp Language.
ULMUL texts can be converted into HTML5 with "ulmul2html5" command
and into LaTeX with "ulmul2latex" command.
TeX style equations are converted into MathML.
ULMUL is written in Ruby.
"ulmul2mathjax" convert ULMUL texts into MathJax style HTML files.
You can also use ulmul.rb as a library.
Visit its project homepage http://ulmul.rubyforge.org/ .
Please use ulmul-slidy.js and ulmul-slidy.css in the
ulmul package for your presentations using Firefox.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ulmul2html5
%{_bindir}/ulmul2xhtml
%{_bindir}/ulmul2latex
%{_bindir}/ulmul2mathjax
%{gem_instdir}/Changes
%{gem_instdir}/XHTML-vs-HTML5.ja.txt
%{gem_instdir}/bin
%{gem_instdir}/favicon.ico
%{gem_instdir}/hello.c
%{gem_instdir}/index.en.html
%{gem_instdir}/index.ja.html
%{gem_libdir}
%{gem_instdir}/ruby.eps
%{gem_instdir}/ruby.jpg
%{gem_instdir}/ruby.obj
%{gem_instdir}/setup.rb
%{gem_instdir}/ulmul-slidy.css
%{gem_instdir}/ulmul-slidy.js
%{gem_instdir}/ulmul2html5.css
%{gem_instdir}/ulmul2xhtml.css
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README-en
%doc %{gem_instdir}/README-ja
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/ulmul.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.5.3-1
- Initial package
